Subject: FvwmPager uses icon titles

From: [email-masked]
Date: Mon, 14 Dec 1998 12:26:33 -0600 (CST)

Full_Name: Dominik Vogt
Version: 
CVS_Date: 13-Dec-1998
OS: Linux
X_Server: XF86
Submission from: (NULL) (155.208.254.69)
Submitted by: domivogt

I noticed that the mini-labels on the windows in FvwmPager
(or the balloons) always show the name of the window's   
icon. This is not quite what you would expect if you have
an application that changes both icon and window names.

I have this scenario:

 - I've got an rxvt window (Title: "Darksun: ~", IconTitle:
   "rxvt", "rxvt" shown on the pager). I set the window
   title from my shell whenever I change directories.
 - Start midnight commander (Title, IconTitle and the label
   in the pager are "mc - Thank you for using GNU Midnight
   Commander").
 - Exit mc, (Title: "Darksun: ~", IconTitle: "mc - Thank
   you ...", pager Label: "mc - Thank you ..."

We can:

 1) Do nothing (not so hot).
 2) Always display the window title.
 3) Use icon title when iconified, window title when
    deiconified (the icon title will only be visible in
    balloons).
 4) Use the resource or class name (this will prevent
    mc from setting the title on the pager).
 5) ... any better idea? For me solution 1 works best,
    but if we can find something better...

At the very least this behaviour has to be documented.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].